{* editKalendar *}
<a class="text-primary" href="#" data-bs-toggle="modal" data-bs-target="#editKalendarModal-{$data->id}">
    <i class="fa-solid fa-edit me-2"></i>Editovat
</a>
{*modal edit kalendar*}
<form n:name=editKalendarForm>
    <!-- Modal -->
    <div class="modal fade z-index-11" id="editKalendarModal-{$data->id}" data-bs-backdrop="false" tabindex="-1" aria-labelledby="editKalendarModal-{$data->id}" aria-hidden="true">
        <div class="modal-dialog modal-xl modal-fullscreen-xl-down">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title mb-0">Editace záznamu termínu</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <label class="form-label">Text termínu</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control" placeholder="Text termínu">
                    </div>
                    <label  class="form-label">Datum</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-calendar-days"></i></span>
                        <input n:name="datum" class="form-control datepicker" placeholder="Datum" value="{$data->datum|date:('d.m.Y')}">
                    </div>
                    <hr>
                    <label class="form-label">Popis</label>
                    <textarea id="editTiny-{$data->id}" name="obsah"></textarea>
                    <input id="tiny-obsah-{$data->id}" type="hidden" value="{$data->obsah}">
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    $(document).ready(function(){
        loadTinyObsah({$data->id});
    });
</script>